<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.aiotagro.cattletrade.business.mapper.SalesOverviewMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.aiotagro.cattletrade.business.entity.SalesOverview">
        <id column="id" property="id" />
        <result column="toal_procurement_amount" property="toalProcurementAmount" />
        <result column="toal_sales_amount" property="toalSalesAmount" />
        <result column="profits" property="profits" />
        <result column="accounts_receivable" property="accountsReceivable" />
        <result column="uncollected_payment" property="uncollectedPayment" />
        <result column="actual_payment" property="actualPayment" />
        <result column="total_purchase" property="totalPurchase" />
        <result column="total_order" property="totalOrder" />
        <result column="total_sales" property="totalSales" />
        <result column="create_time" property="createTime" />
        <result column="up_time" property="upTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, toal_procurement_amount, toal_sales_amount, profits, accounts_receivable, 
        uncollected_payment, actual_payment, total_purchase, total_order, total_sales, 
        create_time, up_time
    </sql>

</mapper>

